: Class UserPageGenerator

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class UserPageGenerator

    java.lang.Object
      |
      +--UserPageGenerator

public class UserPageGenerator
extends java.lang.Object

Constructor Summary
`UserPageGenerator()`

Method Summary
`static void` | `changeProfilePage(java.io.PrintWriter out, java.lang.String login, java.sql.ResultSet rs)`
`static void` | `enterAnotherEmail(java.io.PrintWriter out, java.lang.String email)`
`static void` | `enterAnotherLogin(java.io.PrintWriter out, java.lang.String login)`
`static void` | `feedbackForm(java.lang.String productId, java.lang.String sellerLogin, java.lang.String winnerLogin, java.lang.String login, java.lang.String toDo, java.io.PrintWriter out)`
`static void` | `generalUserRatingTable(java.io.PrintWriter out, java.sql.ResultSet rs1, java.sql.ResultSet rs2)`
`static void` | `incorrectLogin(java.io.PrintWriter out)`
`static void` | `loginPage(java.io.PrintWriter out)`
`static void` | `logoutUser(java.io.PrintWriter out)`
`static void` | `passwordDoNotMatch(java.io.PrintWriter out, java.lang.String login)`
`static void` | `profileSuccessfullyChanged(java.io.PrintWriter out)`
`static void` | `queryFivePage(java.io.PrintWriter out, java.sql.ResultSet rs, java.lang.String userLogin)`
`static void` | `queryFourPage(java.io.PrintWriter out, java.sql.ResultSet rs)`
`static void` | `queryOnePage(java.io.PrintWriter out, java.sql.ResultSet rs, java.lang.String userLogin)`
`static void` | `queryThreePage(java.io.PrintWriter out, java.sql.ResultSet rs1, java.sql.ResultSet rs2)`
`static void` | `queryTwoPage(java.io.PrintWriter out, java.sql.ResultSet rs)`
`static void` | `sqlErrorMessage(java.io.PrintWriter out)`
`static void` | `userIsSuspended(java.io.PrintWriter out)`
`static void` | `userMainPage(java.io.PrintWriter out, java.lang.String login)`
`static void` | `userRegisteredPage(java.io.PrintWriter out, java.lang.String login, java.lang.String email)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPageGenerator

    public UserPageGenerator()

Method Detail

### incorrectLogin

    public static void incorrectLogin(java.io.PrintWriter out)

### userIsSuspended

    public static void userIsSuspended(java.io.PrintWriter out)

### enterAnotherLogin

    public static void enterAnotherLogin(java.io.PrintWriter out,
                                         java.lang.String login)

### enterAnotherEmail

    public static void enterAnotherEmail(java.io.PrintWriter out,
                                         java.lang.String email)

### userRegisteredPage

    public static void userRegisteredPage(java.io.PrintWriter out,
                                          java.lang.String login,
                                          java.lang.String email)

### loginPage

    public static void loginPage(java.io.PrintWriter out)

### changeProfilePage

    public static void changeProfilePage(java.io.PrintWriter out,
                                         java.lang.String login,
                                         java.sql.ResultSet rs)

### passwordDoNotMatch

    public static void passwordDoNotMatch(java.io.PrintWriter out,
                                          java.lang.String login)

### queryOnePage

    public static void queryOnePage(java.io.PrintWriter out,
                                    java.sql.ResultSet rs,
                                    java.lang.String userLogin)

### queryTwoPage

    public static void queryTwoPage(java.io.PrintWriter out,
                                    java.sql.ResultSet rs)

### queryThreePage

    public static void queryThreePage(java.io.PrintWriter out,
                                      java.sql.ResultSet rs1,
                                      java.sql.ResultSet rs2)

### queryFourPage

    public static void queryFourPage(java.io.PrintWriter out,
                                     java.sql.ResultSet rs)

### queryFivePage

    public static void queryFivePage(java.io.PrintWriter out,
                                     java.sql.ResultSet rs,
                                     java.lang.String userLogin)

### feedbackForm

    public static void feedbackForm(java.lang.String productId,
                                    java.lang.String sellerLogin,
                                    java.lang.String winnerLogin,
                                    java.lang.String login,
                                    java.lang.String toDo,
                                    java.io.PrintWriter out)

### generalUserRatingTable

    public static void generalUserRatingTable(java.io.PrintWriter out,
                                              java.sql.ResultSet rs1,
                                              java.sql.ResultSet rs2)

### sqlErrorMessage

    public static void sqlErrorMessage(java.io.PrintWriter out)

### logoutUser

    public static void logoutUser(java.io.PrintWriter out)

### userMainPage

    public static void userMainPage(java.io.PrintWriter out,
                                    java.lang.String login)

### profileSuccessfullyChanged

    public static void profileSuccessfullyChanged(java.io.PrintWriter out)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD